# OpenShift OperatorHub Custom CatalogSource

Follow the steps below to Install T4K via a custom CatalogSource.

Use the example from below where the image version is set as `3.1.0`

```
apiVersion: operators.coreos.com/v1alpha1
kind: CatalogSource
metadata:
  name: k8s-triliovault-manifest
  namespace: openshift-marketplace
spec:
  sourceType: grpc
  image: quay.io/triliovault/k8s-triliovault-operator:3.1.0
```

Validate the catalogsource was successfully installed by running the following command\
`oc get catalogSource k8s-triliovault-manifest -n openshift-marketplace`

```bash
NAME                       DISPLAY   TYPE   PUBLISHER   AGE
k8s-triliovault-manifest             grpc                1d
```

Logout and login through the web console of OpenShift and navigate to the OperatorHub console. The T4K operator is now available to be installed in the environment.T4K can also be installed within OpenShift OperatorHub via a custom CatalogSource object.

![Custom CatalogSource for T4K in OperatorHub](/files/-MBukKDJP2pc-6RAtO_l)

Proceed with the installation of T4K as normal within the cluster.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.trilio.io/kubernetes/5.0.x/appendix/operatorhub-custom-catalogsource.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
